-- frFR localization by Tixu
---@class StatLogicLocale
local L = LibStub("AceLocale-3.0"):NewLocale("StatLogic", "frFR")
if not L then return end
local StatLogic = LibStub("StatLogic")

L["tonumber"] = function(s)
	local n = tonumber(s)
	if n then
		return n
	else
		return tonumber((s:gsub(",", "%.")))
	end
end
------------------
-- Prefix Exclude --
------------------
-- By looking at the first PrefixExcludeLength letters of a line we can exclude a lot of lines
L["PrefixExcludeLength"] = 5 -- using string.utf8len
L["PrefixExclude"] = {}
-----------------------
-- Whole Text Lookup --
-----------------------
-- Mainly used for enchants that doesn't have numbers in the text
L["WholeTextLookup"] = {
	[EMPTY_SOCKET_RED] = {["EMPTY_SOCKET_RED"] = 1}, -- EMPTY_SOCKET_RED = "Red Socket";
	[EMPTY_SOCKET_YELLOW] = {["EMPTY_SOCKET_YELLOW"] = 1}, -- EMPTY_SOCKET_YELLOW = "Yellow Socket";
	[EMPTY_SOCKET_BLUE] = {["EMPTY_SOCKET_BLUE"] = 1}, -- EMPTY_SOCKET_BLUE = "Blue Socket";
	[EMPTY_SOCKET_META] = {["EMPTY_SOCKET_META"] = 1}, -- EMPTY_SOCKET_META = "Meta Socket";

	["Huile de sorcier mineure"] = {["SPELL_DMG"] = 8, ["HEAL"] = 8}, -- ID: 20744
	["Huile de sorcier inférieure"] = {["SPELL_DMG"] = 16, ["HEAL"] = 16}, -- ID: 20746
	["Huile de sorcier"] = {["SPELL_DMG"] = 24, ["HEAL"] = 24}, -- ID: 20750
	["Huile de sorcier brillante"] = {["SPELL_DMG"] = 36, ["HEAL"] = 36, [StatLogic.Stats.SpellCritRating] = 14}, -- ID: 20749
	["Huile de sorcier excellente"] = {["SPELL_DMG"] = 42, ["HEAL"] = 42}, -- ID: 22522
	["Huile de sorcier bénite"] = {["SPELL_DMG_UNDEAD"] = 60}, -- ID: 23123

	["Huile de mana mineure"] = {["MANA_REG"] = 4}, -- ID: 20745
	["Huile de mana inférieure"] = {["MANA_REG"] = 8}, -- ID: 20747
	["Huile de mana brillante"] = {["MANA_REG"] = 12, ["HEAL"] = 25}, -- ID: 20748
	["Huile de mana excellente"] = {["MANA_REG"] = 14}, -- ID: 22521

	["Ligne en éternium"] = {["FISHING"] = 5}, -- Ligne de pêche en éternium -- ID: 24302
	["Ligne en vrai-argent"] = {["FISHING"] = 3}, --Ligne de pêche en vrai-argent -- ID: 45697
	["Sauvagerie"] = {["AP"] = 70}, -- ID: 27971
	["Vitalité"] = {["MANA_REG"] = 4, ["HEALTH_REG"] = 4}, -- ID: 46492
	["Âme de givre"] = {["SHADOW_SPELL_DMG"] = 54, ["FROST_SPELL_DMG"] = 54}, -- ID: 27982
	["Feu solaire"] = {["ARCANE_SPELL_DMG"] = 50, ["FIRE_SPELL_DMG"] = 50}, -- ID: 27981

	["Eperons en mithril"] = {["MOUNT_SPEED"] = 4}, -- ID: 9783 -- description pre-TBC
	["Augmentation mineure de la vitesse de la monture"] = {["MOUNT_SPEED"] = 2}, -- Ench. de gants (Equitation) -- ID: 13947 -- description pre-TBC
	["Équipé\194\160: La vitesse de course augmente légèrement."] = {["RUN_SPEED"] = 8}, -- [Grèves des Hautes-terres en plaques] -- ID: 20048
	["La vitesse de course augmente légèrement"] = {["RUN_SPEED"] = 8},
	["Augmentation mineure de vitesse"] = {["RUN_SPEED"] = 8}, -- Ench. de bottes (Vitesse mineure) ID: 13890
	["Vitesse mineure"] = {["RUN_SPEED"] = 8}, -- Ench. de bottes (Rapidité du félin) "Vitesse mineure et +6 à l'Agilité" -- ID: 34007 -- & Ench. de bottes (Vitesse du sanglier) "Vitesse mineure et +9 à l'Endurance" -- ID: 34008
	["légère augmentation de la vitesse de course"] = {["RUN_SPEED"] = 8}, -- [Diamant brûlétoile de rapidité] -- ID: 28557
	["Pied sûr"] = {[StatLogic.Stats.MeleeHitRating] = 10}, -- Ench. de bottes (Pied sûr) -- ID: 27954

	["Discrétion"] = {["THREAT_MOD"] = -2}, -- Ench. de cape (Discrétion) -- ID: 25084
	["2% de réduction de la menace"] = {["THREAT_MOD"] = -2}, -- [Diamant tonneterre tonifiant] -- ID: 25897
	["Équipé\194\160: Permet de respirer sous l'eau."] = false, -- [Bague des profondeurs glacées] -- ID: 21526 -- & [Hydrocanne] -- ID: 9452
	["Permet de respirer sous l'eau"] = false, --
	["Équipé\194\160: Immunisé au désarmement."] = false, -- [Gantelets de la forteresse] -- ID: 12639 -- version pre-TBC
	["Immunisé au désarmement"] = false,
	["Équipé\194\160: Réduit les dégâts dus aux chutes."] = false, -- [Drapé de chauve-souris du crépuscule] -- ID: 19982
	["Réduit les dégâts dus aux chutes"] = false,
	["Équipé\194\160: Evite à son porteur d'être entièrement englobé dans la Flamme d'ombre."] = false, -- [Cape en écailles d'Onyxia] -- ID: 15138
	["Evite à son porteur d'être entièrement englobé dans la Flamme d'ombre."] = false,

	["Croisé"] = false, -- Ench. d'arme (Croisé) -- ID: 20034
	["Vampirique"] = false, -- Ench. d'arme (Vol de vie) -- ID: 20032
	["Arme impie"] = false, -- Ench. d'arme (Arme impie) -- ID: 20033
	["Mangouste"] = false, -- Ench. d'arme (Mangouste) -- ID: 27984
	["Bourreau"] = false, -- Ench. d'arme (Exécutrice) -- ID: 42974
}
----------------------------
-- Single Plus Stat Check --
----------------------------
-- depending on locale, it may be
-- +19 Stamina = "^%+(%d+) (.-)%.?$"
-- Stamina +19 = "^(.-) %+(%d+)%.?$"
-- +19 耐力 = "^%+(%d+) (.-)%.?$"
-- Some have a "." at the end of string like:
-- Enchant Chest - Restore Mana Prime "+6 mana every 5 sec. "
L["SinglePlusStatCheck"] = "^([%+%-]%d+) (.-)%.?$"
-----------------------------
-- Single Equip Stat Check --
-----------------------------
-- "^Equip: (.-) by u?p? ?t?o? ?(%d+) ?(.-)%.?$"
L["SingleEquipStatCheck"] = "^Équipé\194\160: Augmente (.-) ?de (%d+) ?a?u? ?m?a?x?i?m?u?m? ?(.-)%.?$"
-------------
-- PreScan --
-------------
-- Special cases that need to be dealt with before deep scan
L["PreScanPatterns"] = {
	--["^Equip: Increases attack power by (%d+) in Cat"] = "FERAL_AP",
	--["^Equip: Increases attack power by (%d+) when fighting Undead"] = "AP_UNDEAD", -- Seal of the Dawn ID:13029
	["Bloquer.- (%d+)"] = "BLOCK_VALUE",
	["Armure.- (%d+)"] = "ARMOR",
	["Renforcé %(%+(%d+) Armure%)"] = "ARMOR_BONUS",
	["^Équipé\194\160: Rend (%d+) points de vie toutes les 5 seco?n?d?e?s?%.?$"]= "HEAL_REG",
	["^Équipé\194\160: Rend (%d+) points de mana toutes les 5 seco?n?d?e?s?%.?$"]= "MANA_REG",
	--["Lunette %(%+(%d+) points? de dégâts?%)"] = "RANGED_AP",
	-- Exclude
	["^(%d+) Slot"] = false, -- Set Name (0/9)
	["^[%a '%-]+%((%d+)/%d+%)$"] = false, -- Set Name (0/9) -- anciennement : ["^.- %(%d+/%d+%)$"] = false, -- Set Name (0/9)
	["|cff808080"] = false, -- Gray text "  |cff808080Requires at least 2 Yellow gems|r\n  |cff808080Requires at least 1 Red gem|r"
	-- Procs
	--["[Cc]hance"] = false, -- [Marque de défiance] ID:27924 -- [Bâton des prophètes qiraji] ID:21128 -- Commented out because it was blocking [Insightful Earthstorm Diamond]
	["[Rr]end parfois"] = false, -- [Carte de Sombrelune : Héroïsme] ID:19287
	["[Ll]orsque vous êtes touché en combat"] = false, -- [Essence of the Pure Flame] ID: 18815
	--["[Cc]onfère une chance"] = false, -- [Marque de défiance] ID:27924
	--["[Qq]uand vos sorts offensifs atteignent une cible"] = false, -- [Bâton des prophètes qiraji] ID:21128
	["Vous gagnez une"] = false, -- [Le condensateur de foudre] ID: 28785
	["Dégâts:"] = false, -- ligne de degats des armes
	["Votre technique"] = false,
	["^%+?%d+ %- %d+ points de dégâts %(.-%)$"]= false, -- ligne de degats des baguettes/ +degats (Thunderfury)
	["Permettent au porteur"] = false, -- Casques Ombrelunes -- inccorect sur TBCClassic ?
	["Le porteur peut voir le monde"]  = false,
	["^.- %(%d+%) requis"] = false, --metier requis pour porter ou utiliser
	["^.- ?[Vv]?o?u?s? [Cc]onfèren?t? .-"] = false, --proc
	["^.- ?l?e?s? ?[Cc]hances .-"] = false, --proc
	["^.- par votre sort .-"] = false, --augmentation de capacité de sort
	["^.- la portée de .-"] = false, --augmentation de capacité de sort
	["^.- la durée de .-"] = false, --augmentation de capacité de sort
}
--------------
-- DeepScan --
--------------
-- Strip leading "Equip: ", "Socket Bonus: "
L["Equip: "] = "Équipé\194\160: " --\194\160= espace insécable
L["Socket Bonus: "] = "Bonus de sertissage\194\160: "
-- Strip trailing "."
L["."] = "."
L["DeepScanSeparators"] = {
	"/", -- "+10 Score de défense/+10 Endurance/+15 Valeur de blocage": Ench. d'épaules de Zul Gurub
	" & ", -- "+12 au score de défense & +10% à la valeur de blocage au bouclier": [Diamant tonneterre éternel] ID:35501
	", ", -- "+6 aux dégâts des sorts, +5 au score de critique des sorts": [Topaze ornée toute-puissante] ID: 28123
	"%. ", -- "Equip: Increases attack power by 81 when fighting Mort-vivant. It also allows the acquisition of Scourgestones on behalf of the Argent Dawn.": Seal of the Dawn
}
L["DeepScanWordSeparators"] = {
	" et ", -- "+ 6 au score de critique et +5 au score d'esquive": [Opale de feu d'assassin] ID:30565
}
L["DualStatPatterns"] = {
	-- all lower case
	["les soins %+(%d+) et les dégâts %+ (%d+)$"] = {{"HEAL"}, {"SPELL_DMG"},},
	["les soins %+(%d+) les dégâts %+ (%d+)"] = {{"HEAL"}, {"SPELL_DMG"},},
	["soins prodigués d'un maximum de (%d+) et les dégâts d'un maximum de (%d+)"] = {{"HEAL"}, {"SPELL_DMG"},},
}
L["DeepScanPatterns"] = {
	"^(.-) de ?(%d+) ?a?u? ?m?a?x?i?m?u?m? ?(.-)$", -- "xxx by up to 22 xxx" (scan first)
	"^(.-) ?([%+%-]%d+) ?(.-)%.?$", -- "xxx xxx +22" or "+22 xxx xxx" or "xxx +22 xxx" (scan 2ed)
	"^(.-) ?([%d%,]+) ?(.-)%.?$", -- 22.22 xxx xxx (scan last)
	"^.-: (.-)([%+%-]%d+) ?(.-)%.?$", --Bonus de sertissage : +3 xxx
	"^(.-) augmentée?s? de (%d+) ?(.-)%%?%.?$",--sometimes this pattern is needed but not often.
}
-----------------------
-- Stat Lookup Table --
-----------------------
L["StatIDLookup"] = {
	["Vos attaques ignorentpoints de l'armure de votre adversaire"] = {"IGNORE_ARMOR"}, -- StatLogic:GetSum("item:33733")
	["% à la menace"] = {"THREAT_MOD"}, -- StatLogic:GetSum("item:23344:2613")
	["votre niveau de camouflage actuel"] = {"STEALTH_LEVEL"},
	["aux dégâts de l'arme"] = {"MELEE_DMG"},
	["à la vitesse de la monture"] = {"MOUNT_SPEED"},

	--dégats melee
	["aux dégâts des armes"] = {"MELEE_DMG"},
	["aux dégâts en mêlée"] = {"MELEE_DMG"},
	["dégâts de l'arme"] = {"MELEE_DMG"},

	["à toutes les caractéristiques"] = {StatLogic.Stats.AllStats,},
	["Force"] = {StatLogic.Stats.Strength},
	["à la Force"] = {StatLogic.Stats.Strength},
	["Agilité"] = {StatLogic.Stats.Agility},
	["à l'Agilité"] = {StatLogic.Stats.Agility},
	["Endurance"] = {StatLogic.Stats.Stamina},
	["en endurance"] = {StatLogic.Stats.Stamina},
	["à l'Endurance"] = {StatLogic.Stats.Stamina},
	["Intelligence"] = {StatLogic.Stats.Intellect},
	["à l'Intelligence"] = {StatLogic.Stats.Intellect},
	["Esprit"] = {StatLogic.Stats.Spirit},
	["à l'Esprit"] = {StatLogic.Stats.Spirit},

	["à la résistance Arcanes"] = {"ARCANE_RES"},
	["à la résistance aux Arcanes"] = {"ARCANE_RES"},

	["à la résistance Feu"] = {"FIRE_RES"},
	["à la résistance au Feu"] = {"FIRE_RES"},

	["à la résistance Givre"] = {"FROST_RES"},
	["à la résistance au Givre"] = {"FROST_RES"},

	["à la résistance Nature"] = {"NATURE_RES"},
	["à la résistance à la Nature"] = {"NATURE_RES"},

	["à la résistance Ombre"] = {"SHADOW_RES"},
	["à la résistance à l'Ombre"] = {"SHADOW_RES"},

	["à toutes les résistances"] = {"ARCANE_RES", "FIRE_RES", "FROST_RES", "NATURE_RES", "SHADOW_RES"},

	["Pêche"] = {"FISHING"}, -- Ench. de gants (Pêche) ID:13620
	["Appât de pêche"] = {"FISHING"}, -- Appats
	["Équipé\194\160: Pêche augmentée"] = {"FISHING"}, -- Effet canne à pêche
	["Minage"] = {"MINING"},
	["Herboristerie"] = {"HERBALISM"}, -- Ench. de gants (Herboristerie) ID:13617
	["Dépeçage"] = {"SKINNING"}, -- Ench. de gants (Dépeçage) ID:13698

	["Armure"] = {"ARMOR_BONUS"},
	["Défense"] = {StatLogic.Stats.Defense},
	--["Increased Defense"] = {StatLogic.Stats.Defense},
	["Valeur de blocage"] = {"BLOCK_VALUE"},
	["à la valeur de blocage"] = {"BLOCK_VALUE"},
	["à la valeur de blocage au bouclier"] = {"BLOCK_VALUE"}, -- "+10% à la valeur de blocage au bouclier" [Diamant tonneterre éternel] ID: 35501
	["la valeur de blocage de votre bouclier"] = {"BLOCK_VALUE"},

	["Points de vie"] = {"HEALTH"},
	["aux points de vie"] = {"HEALTH"},
	["Points de mana"] = {"MANA"},

	["puissance d'attaque"] = {"AP"},
	["la puissance d'attaque"] = {"AP"},
	["à la puissance d'attaque"] = {"AP"},
	["la puissance d'attaque lorsque vous combattez les morts-vivants"] = {"AP_UNDEAD"}, -- [Bandelettes de tueur de mort-vivant] ID:23093
	["la puissance d'attaque lorsque vous combattez des morts-vivants"] = {"AP_UNDEAD"}, -- [Sceau de l'Aube] ID:13209
	["la puissance d'attaque lorsque vous combattez des morts-vivants. Permet aussi l'acquisition de Pierres du Fléau pour l'Aube d'argent."] = {"AP_UNDEAD"}, -- [Sceau de l'Aube] ID:13209
	["la puissance d'attaque lorsque vous combattez les démons"] = {"AP_DEMON"},
	["la puissance d'attaque lorsque vous combattez des morts-vivants et des démons"] = {"AP_UNDEAD", "AP_DEMON"}, -- [Marque du champion] ID:23206
	["à la puissance d'attaque pour les formes de félin"] = {"FERAL_AP"}, -- version pre-TBC
	["la puissance d'attaque pour les formes de félin"] = {"FERAL_AP"}, -- version TBC+
	["à la puissance des attaques à distance."] = {"RANGED_AP"}, -- [Arbalète de grand seigneur de guerre] ID: 18837 -- version pre-TBC
	["la puissance des attaques à distance"] = {"RANGED_AP"}, -- [Arbalète de grand seigneur de guerre] ID: 18837 -- version TBC+

	["points de mana toutes les 5 secondes"] = {"MANA_REG"},
	["point de mana toutes les 5 secondes"] = {"MANA_REG"},
	["points de mana toutes les 5 sec"] = {"MANA_REG"},
	["point de mana toutes les 5 sec"] = {"MANA_REG"},
	["points de mana rendus toutes les 5 secondes"] = {"MANA_REG"}, -- [Renfort d'armure de magistère] ID: 32399
	["mana toutes les 5 secondes"] = {"MANA_REG"},
	["régén. de mana"] = {"MANA_REG"},

	["points de vie toutes les 5 secondes"] = {"HEALTH_REG"},
	["point de vie toutes les 5 secondes"] = {"HEALTH_REG"},
	["points de vie toutes les 5 sec"] = {"HEALTH_REG"},
	["point de vie toutes les 5 sec"] = {"HEALTH_REG"},
	["votre régénération des points de vie normale"] = {"HEALTH_REG"}, -- [Sang de démon] ID: 10779

	["à la pénétration des sorts"] = {"SPELLPEN"}, -- Ench. de cape (Pénétration des sorts) "+20 à la pénétration des sorts" ID: 34003
	["la pénétration de vos sorts"] = {"SPELLPEN"},

	["aux soins et aux dégâts des sorts"] = {"SPELL_DMG", "HEAL"}, -- Arcanum de focalisation "+8 aux soins et aux dégâts des sorts" ID: 22844
	["aux soins et dégâts des sorts"] = {"SPELL_DMG", "HEAL"}, -- Etreinte vigilante du vaudouisan "+13 aux soins et dégâts des sorts/+15 Intelligence" ID: 24163
	["aux dégâts des sorts et aux soins"] = {"SPELL_DMG", "HEAL"},
	["aux dégâts des sorts"] = {"SPELL_DMG"},
	["aux sorts de soins"] = {"HEAL"},
	["aux soins"] = {"HEAL"},
	["à la puissance des sorts"] = {"SPELL_DMG", "HEAL",},
	["la puissance des sorts"] = {"SPELL_DMG", "HEAL",},
	["augmente la puissance des sorts"] = {"SPELL_DMG", "HEAL",},
	["les dégâts et les soins produits par les sorts et effets magiques"] = {"SPELL_DMG", "HEAL"},
	["les soins prodigués par les sorts et effets d’un maximum"] = {"HEAL"},
	["les soins prodigués par les sorts et effets"] = {"HEAL"},
	["dégâts des sorts"] = {"SPELL_DMG"},
	["soins"] = {"HEAL"},

	["les dégâts infligés par les sorts et effets du Sacré"]={"HOLY_SPELL_DMG"},
	["aux dégâts des sorts du Sacré"]={"HOLY_SPELL_DMG"},
	["aux dégâts du Sacré"]={"HOLY_SPELL_DMG"},

	["les dégâts infligés par les sorts et effets des Arcanes"]={"ARCANE_SPELL_DMG"},
	["aux dégâts des sorts d'Arcanes"]={"ARCANE_SPELL_DMG"},
	["aux dégâts d'Arcanes"]={"ARCANE_SPELL_DMG"},

	["les dégâts infligés par les sorts et effets de Feu"]={"FIRE_SPELL_DMG"},
	["aux dégâts des sorts de Feu"]={"FIRE_SPELL_DMG"},
	["aux dégâts de Feu"]={"FIRE_SPELL_DMG"},

	["les dégâts infligés par les sorts et effets de Givre"]={"FROST_SPELL_DMG"},
	["aux dégâts des sorts de Givre"]={"FROST_SPELL_DMG"},
	["aux dégâts de Givre"]={"FROST_SPELL_DMG"},

	["les dégâts infligés par les sorts et effets de Nature"]={"NATURE_SPELL_DMG"},
	["aux dégâts des sorts de Nature"]={"NATURE_SPELL_DMG"},
	["aux dégâts de Nature"]={"NATURE_SPELL_DMG"},

	["les dégâts infligés par les sorts et effets d'Ombre"]={"SHADOW_SPELL_DMG"},
	["aux dégâts des sorts d'Ombre"]={"SHADOW_SPELL_DMG"},
	["aux dégâts d'Ombre"]={"SHADOW_SPELL_DMG"},

	["Augmente les dégâts infligés aux morts-vivants par les sorts et effets magiques"] = {"SPELL_DMG_UNDEAD"}, -- [Robe de purification des morts-vivants] ID:23085
	["Augmente les dégâts infligés aux morts-vivants par les sorts et effets magiques. Permet aussi l'acquisition de Pierres du Fléau pour le compte de l'Aube d'argent"] = {"SPELL_DMG_UNDEAD"}, -- [Rune de l'Aube] ID:19812
	["Augmente les dégâts infligés aux morts-vivants et aux démons par les sorts et effets magiques"] = {"SPELL_DMG_UNDEAD", "SPELL_DMG_DEMON"}, -- [Marque du champion] ID:23207

	--ToDo
	--["Increases healing done by magical spells and effects of all party members within 30 yards"] = {"HEAL"}, -- Atiesh
	--["your healing"] = {"HEAL"}, -- Atiesh

	["dégâts par seconde"] = {"DPS"},
	["Ajoutedégâts par seconde"] = {"DPS"}, -- [Obus en thorium] ID: 15997

	["score de défense"] = {StatLogic.Stats.DefenseRating},
	["au score de défense"] = {StatLogic.Stats.DefenseRating},
	["le score de défense"] = {StatLogic.Stats.DefenseRating},
	["votre score de défense"] = {StatLogic.Stats.DefenseRating},

	["score d'esquive"] = {StatLogic.Stats.DodgeRating},
	["le score d'esquive"] = {StatLogic.Stats.DodgeRating},
	["au score d'esquive"] = {StatLogic.Stats.DodgeRating},
	["votre score d'esquive"] = {StatLogic.Stats.DodgeRating},
	["score d’esquive"] = {StatLogic.Stats.DodgeRating},
	["le score d’esquive"] = {StatLogic.Stats.DodgeRating},
	["au score d’esquive"] = {StatLogic.Stats.DodgeRating},
	["votre score d’esquive"] = {StatLogic.Stats.DodgeRating},

	["score de parade"] = {StatLogic.Stats.ParryRating},
	["au score de parade"] = {StatLogic.Stats.ParryRating},
	["le score de parade"] = {StatLogic.Stats.ParryRating},
	["votre score de parade"] = {StatLogic.Stats.ParryRating},

	["score de blocage"] = {StatLogic.Stats.BlockRating},
	["le score de blocage"] = {StatLogic.Stats.BlockRating},
	["votre score de blocage"] = {StatLogic.Stats.BlockRating},
	["au score de blocage"] = {StatLogic.Stats.BlockRating}, -- Ench. de bouclier (Blocage inférieur) "+10 au score de blocage" -- ID: 13689

	["score de toucher"] = {StatLogic.Stats.HitRating},
	["le score de toucher"] = {StatLogic.Stats.HitRating},
	["votre score de toucher"] = {StatLogic.Stats.HitRating},
	["au score de toucher"] = {StatLogic.Stats.HitRating},

	["score de coup critique"] = {StatLogic.Stats.CritRating},
	["score de critique"] = {StatLogic.Stats.CritRating},
	["au score de coup critique"] = {StatLogic.Stats.CritRating},
	["au score de critique"] = {StatLogic.Stats.CritRating},
	["le score de coup critique"] = {StatLogic.Stats.CritRating},
	["votre score de coup critique"] = {StatLogic.Stats.CritRating},
	["le score de coup critique en mêlée"] = {StatLogic.Stats.MeleeCritRating}, -- [Cape des ténèbres] "Augmente de 24 le score de coup critique en mêlée." ID: 33122

	["score de résilience"] = {StatLogic.Stats.ResilienceRating},
	["le score de résilience"] = {StatLogic.Stats.ResilienceRating},
	["au score de résilience"] = {StatLogic.Stats.ResilienceRating},
	["votre score de résilience"] = {StatLogic.Stats.ResilienceRating},
	["à la résilience"] = {StatLogic.Stats.ResilienceRating},

	["le score de toucher des sorts"] = {StatLogic.Stats.SpellHitRating},
	["score de toucher des sorts"] = {StatLogic.Stats.SpellHitRating},
	["au score de toucher des sorts"] = {StatLogic.Stats.SpellHitRating},
	["votre score de toucher des sorts"] = {StatLogic.Stats.SpellHitRating},

	["le score de coup critique des sorts"] = {StatLogic.Stats.SpellCritRating},
	["score de coup critique des sorts"] = {StatLogic.Stats.SpellCritRating},
	["score de critique des sorts"] = {StatLogic.Stats.SpellCritRating},
	["au score de coup critique des sorts"] = {StatLogic.Stats.SpellCritRating},
	["au score de critique des sorts"] = {StatLogic.Stats.SpellCritRating},
	["votre score de coup critique des sorts"] = {StatLogic.Stats.SpellCritRating},
	["au score de coup critique de sorts"] = {StatLogic.Stats.SpellCritRating},
	["aux score de coup critique des sorts"] = {StatLogic.Stats.SpellCritRating},--blizzard! faute d'orthographe!!

	--ToDo
	--["Ranged Hit Rating"] = {StatLogic.Stats.RangedHitRating},
	--["Improves ranged hit rating"] = {StatLogic.Stats.RangedHitRating}, -- ITEM_MOD_HIT_RANGED_RATING
	--["Increases your ranged hit rating"] = {StatLogic.Stats.RangedHitRating},
	["votre score de coup critique à distance"] = {StatLogic.Stats.RangedCritRating}, -- [Gants de fléchier] ID:7348

	["le score de hâte"] = {StatLogic.Stats.HasteRating},
	["score de hâte"] = {StatLogic.Stats.HasteRating},
	["au score de hâte"] = {StatLogic.Stats.HasteRating},

	["le score de hâte des sorts"] = {StatLogic.Stats.SpellHasteRating},
	["score de hâte des sorts"] = {StatLogic.Stats.SpellHasteRating},
	["au score de hâte des sorts"] = {StatLogic.Stats.SpellHasteRating},

	["le score de hâte à distance"] = {StatLogic.Stats.RangedHasteRating},
	["score de hâte à distance"] = {StatLogic.Stats.RangedHasteRating},
	["au score de hâte à distance"] = {StatLogic.Stats.RangedHasteRating},

	["le score d’expertise"] = {StatLogic.Stats.ExpertiseRating},
	["score d’expertise"] = {StatLogic.Stats.ExpertiseRating},
	["score de pénétration d'armure"] = {StatLogic.Stats.ArmorPenetrationRating},
	["le score de pénétration d'armure"] = {StatLogic.Stats.ArmorPenetrationRating},
	["votre score de pénétration d'armure"] = {StatLogic.Stats.ArmorPenetrationRating},
	["la pénétration d'armure"] = {StatLogic.Stats.ArmorPenetrationRating},

	--ToDo
	-- Exclude
	--["sec"] = false,
	--["to"] = false,
	--["Slot Bag"] = false,
	--["Slot Quiver"] = false,
	--["Slot Ammo Pouch"] = false,
	--["Augmente la vitesse des attaques à distance"] = false, -- AV quiver
}